#include <bits/stdc++.h>
using namespace std;

int main()
{
    string s;
    int a1, a2;
    cin>>s;
    cin>>a1>>a2;
    if(a1==a2){
        for(int i=0; i<a1; i++){
                cout<<s;}}
    if(a1==a2+1){
        for(int i=0; i<a2; i++){
                cout<<s;}
        cout<<s[0];}
    if(a2==a1+1){
        cout<<s[1];
        for(int i=0; i<a1; i++){
                cout<<s;}}
    if(a1-a2>1 || a2-a1>1){
        cout<<"nemoguce";}
    return 0;
}